Ubuntu

Suggested patches for gimmie

Reported by Adam Williamson on 2007-05-13
6
Affects Status Importance Assigned to Milestone
gimmie (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: gimmie

Hi, Ubuntu guys. I'm the Mandriva maintainer for gimmie (an experimental GNOME panel / launcher). I noticed that two particular gimmie bugs are getting a *huge* amount of duplicate reports from Ubuntu users in GNOME Bugzilla:

http://bugzilla.gnome.org/show_bug.cgi?id=421732
http://bugzilla.gnome.org/show_bug.cgi?id=421620

I've fixed these in the Mandriva package by backporting the following two patches from SVN. You should probably apply these to your package too. :)

--------------------------

--- trunk/gimmie/gimmie_computer.py 2007/03/22 00:44:46 385
+++ trunk/gimmie/gimmie_computer.py 2007/03/22 20:22:15 389
@@ -103,7 +103,8 @@
                     uri = volume.get_activation_uri()
                     break
             else:
- raise ValueError, "Cannot find URI to open for drive '%s'" % drive
+ raise ValueError, "Cannot find URI to open for drive '%s'" % \
+ drive.get_display_name()

         Item.__init__(self,
                       uri=uri,
@@ -214,7 +215,10 @@
         yield self.cd_burner

         for drive in self.vol_monitor.get_connected_drives():
- yield DriveItem(drive)
+ try:
+ yield DriveItem(drive)
+ except ValueError:
+ pass

 class PrinterItem(Item):

--------------------------------

--- trunk/gimmie/gimmie_computer.py 2007/03/22 20:22:15 389
+++ trunk/gimmie/gimmie_computer.py 2007/03/25 03:16:42 391
@@ -485,12 +485,8 @@
                              uri="source://Administration",
                              filter_by_date=False)

- self.system_settings_menu_tree = None
- try:
- self.system_settings_menu_tree = MenuTree("system-settings.menu")
- self.system_settings_menu_tree.connect("reload", lambda x: self.emit("reload"))
- except ValueError:
- pass
+ self.system_settings_menu_tree = MenuTree("system-settings.menu")
+ self.system_settings_menu_tree.connect("reload", lambda x: self.emit("reload"))

         self.system_settings_menu_source = None
         self.do_reload()
@@ -737,7 +733,10 @@
                        settings]

         if not settings.has_administration():
- source_list.append(AdministrationSource())
+ try:
+ source_list.append(AdministrationSource())
+ except ValueError, err:
+ print " !!! Error loading Administration items:", err

         ### Uncomment to list settings inside their toplevel folders in the sidebar
         #source_list += SettingsSource().get_toplevel_source_list()

Thank you for your bug report. Could you please add the patch as attachments to this bug report ? LP sometimes eats indentation of the code.

Changed in gimmie:
assignee: nobody → jerome-guelfucci
importance: Undecided → Medium
status: New → Incomplete

Thank you very much. I will try to have the packages updated.

Changed in gimmie:
status: Incomplete → Triaged
Adam Williamson (awilliamson) wrote :

no problem, and I think I can safely say the GNOME bug squad will thank you =)

I don't know what your policy on version updates is, but you could also solve this by updating the package to 0.27, the patches are included in that version.

Mmm problem, those patches are for 0.2.6 and we only have 0.2.4 in feisty...

Adam Williamson (awilliamson) wrote :

really? ah :( that could be a problem. I kinda figured you had 0.2.6. um, I suspect a version update wouldn't be a bad idea, but I don't know if you're allowed to do that.

Well, as the package is in universe, the only possible way is (if I'm right) to backport the gutsy package but it's hard to be allowed to do so :) , I'm leaving tomorrow for holidays without computer, I will try to do that after the 20th august.

Scott Kitterman (kitterman) wrote :

Well look into this for a Stable Release Update for Feisty.

Thanks, I'm unassigning this from me.

Changed in gimmie:
assignee: jerome-guelfucci → nobody

I've also requested a backport here: bug 138381.

Scott Kitterman (kitterman) wrote :

class DriveItem(Item) was completely rewritten from 0.2.4 to 0.2.6, so the first chunk of the first patch is completely N/A for the Feisty version. get_items_uncached does not exist in that file in 0.2.4, so the second hunk is also N/A.

class AdministrationSource does not exist either, so the first hunk of the second patch is N/A. class ComputerTopic(Topic) has been substantially rewritten between 0.2.4 and 0.2.6, so the second hunk is not applicable.

Thank you for trying to help, but whatever is causing Ubuntu users to file bugs, these aren't the patches for it.

Changed in gimmie:
status: Triaged → Invalid
Adam Williamson (awilliamson) wrote :

Well, they're all getting closed as duplicates of the very same bugs upstream. See the b.g.o. references in my initial report. Note the number of duplicates.

Scott Kitterman (kitterman) wrote :

I believe that they may be the same bugs, but those patches don't apply to 0.2.4. It'll take someone actually familiar with the code to sort out the correct fixes for 0.2.4 (that would not be me).

Adam Williamson (awilliamson) wrote :

well, as I suggested, given the significance of the bugs (and the fact that gimmie is hardly a heavily-developed app with a long history of stability to lose), it may make more sense simply to push 0.2.7 as an update for your stable releases than try to patch 0.2.4. That would depend on how strict your update policy is, though, I guess.

Adam Williamson : gimmie 0.2.7 has been accepted into ubuntu backports and will be available soon, it's not the perfect solution (some people don't enable backports) but it's better than before...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers